<div>
    <h2 id="page-heading">
        <span jhiTranslate="rulesValidatorApp.rvRule.home.title">Rv Rules</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-rv-rule"
                [routerLink]="['/rv-rule/new']">
            <fa-icon icon="plus"></fa-icon>
            <span jhiTranslate="rulesValidatorApp.rvRule.home.createLabel">
            Create a new Rv Rule
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="rvRules?.length === 0">
        <span jhiTranslate="rulesValidatorApp.rvRule.home.notFound">No rvRules found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="rvRules && rvRules.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="reset.bind(this)">
                <th scope="col" jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span>
                    <fa-icon icon="sort"></fa-icon>
                </th>
                <th scope="col" jhiSortBy="ruleCode"><span
                    jhiTranslate="rulesValidatorApp.rvRule.ruleCode">Rule Code</span>
                    <fa-icon icon="sort"></fa-icon>
                </th>
                <th scope="col" jhiSortBy="description"><span jhiTranslate="rulesValidatorApp.rvRule.description">Description</span>
                    <fa-icon icon="sort"></fa-icon>
                </th>
                <th scope="col" jhiSortBy="level"><span jhiTranslate="rulesValidatorApp.rvRule.level">Level</span>
                    <fa-icon icon="sort"></fa-icon>
                </th>
                <th scope="col" jhiSortBy="mode"><span jhiTranslate="rulesValidatorApp.rvRule.mode">Mode</span>
                    <fa-icon icon="sort"></fa-icon>
                </th>
                <th scope="col" jhiSortBy="groupId"><span jhiTranslate="rulesValidatorApp.rvRule.group">Group</span>
                    <fa-icon icon="sort"></fa-icon>
                </th>
                <th scope="col" jhiSortBy="operatorId"><span
                    jhiTranslate="rulesValidatorApp.rvRule.operator">Operator</span>
                    <fa-icon icon="sort"></fa-icon>
                </th>
                <th scope="col"></th>
            </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']"
                   [infiniteScrollDistance]="0">
            <tr *ngFor="let rvRule of rvRules ;trackBy: trackId">
                <td><a [routerLink]="['/rv-rule', rvRule.id, 'view']">{{ rvRule.id }}</a></td>
                <td>{{ rvRule.ruleCode }}</td>
                <td>{{ rvRule.description }}</td>
                <td jhiTranslate="{{ 'rulesValidatorApp.RvRuleLevel.' + rvRule.level }}">{{ rvRule.level }}</td>
                <td jhiTranslate="{{ 'rulesValidatorApp.RvRuleMode.' + rvRule.mode }}">{{ rvRule.mode }}</td>
                <td>
                    <div *ngIf="rvRule.group">
                        <a [routerLink]="['/rv-rule-group', rvRule.group.id , 'view']">{{ rvRule.group.ruleGroupName }}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="rvRule.operator">
                        <a [routerLink]="['/rv-operator', rvRule.operator.id , 'view']">{{ rvRule.operator.description }}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/rv-rule', rvRule.id, 'view']"
                                class="btn btn-info btn-sm">
                            <fa-icon icon="eye"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>

                        <button type="submit"
                                [routerLink]="['/rv-rule', rvRule.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon icon="pencil-alt"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>

                        <button type="submit" (click)="delete(rvRule)"
                                class="btn btn-danger btn-sm">
                            <fa-icon icon="times"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
